1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getEntityGroupsV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    Retrieves a list of entity groups. Use this data source when you need to list or filter entity groups rather than fetch a single group by extId (use the nutanix.EntityGroupV2 data source for that).

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    // List all entity groups
    const list = nutanix.getEntityGroupsV2({});
    // List entity groups with filter
    const filtered = nutanix.getEntityGroupsV2({
        filter: "name eq 'my-entity-group'",
    });
    // List entity groups with limit
    const withLimit = nutanix.getEntityGroupsV2({
        limit: 10,
    });
    // List entity groups with filter and limit
    const filteredLimit = nutanix.getEntityGroupsV2({
        filter: "name eq 'my-entity-group'",
        limit: 1,
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    # List all entity groups
    list = nutanix.get_entity_groups_v2()
    # List entity groups with filter
    filtered = nutanix.get_entity_groups_v2(filter="name eq 'my-entity-group'")
    # List entity groups with limit
    with_limit = nutanix.get_entity_groups_v2(limit=10)
    # List entity groups with filter and limit
    filtered_limit = nutanix.get_entity_groups_v2(filter="name eq 'my-entity-group'",
        limit=1)
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		// List all entity groups
    		_, err := nutanix.GetEntityGroupsV2(ctx, &nutanix.GetEntityGroupsV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		// List entity groups with filter
    		_, err = nutanix.GetEntityGroupsV2(ctx, &nutanix.GetEntityGroupsV2Args{
    			Filter: pulumi.StringRef("name eq 'my-entity-group'"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List entity groups with limit
    		_, err = nutanix.GetEntityGroupsV2(ctx, &nutanix.GetEntityGroupsV2Args{
    			Limit: pulumi.IntRef(10),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		// List entity groups with filter and limit
    		_, err = nutanix.GetEntityGroupsV2(ctx, &nutanix.GetEntityGroupsV2Args{
    			Filter: pulumi.StringRef("name eq 'my-entity-group'"),
    			Limit:  pulumi.IntRef(1),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        // List all entity groups
        var list = Nutanix.GetEntityGroupsV2.Invoke();
    
        // List entity groups with filter
        var filtered = Nutanix.GetEntityGroupsV2.Invoke(new()
        {
            Filter = "name eq 'my-entity-group'",
        });
    
        // List entity groups with limit
        var withLimit = Nutanix.GetEntityGroupsV2.Invoke(new()
        {
            Limit = 10,
        });
    
        // List entity groups with filter and limit
        var filteredLimit = Nutanix.GetEntityGroupsV2.Invoke(new()
        {
            Filter = "name eq 'my-entity-group'",
            Limit = 1,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetEntityGroupsV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            // List all entity groups
            final var list = NutanixFunctions.getEntityGroupsV2(GetEntityGroupsV2Args.builder()
                .build());
    
            // List entity groups with filter
            final var filtered = NutanixFunctions.getEntityGroupsV2(GetEntityGroupsV2Args.builder()
                .filter("name eq 'my-entity-group'")
                .build());
    
            // List entity groups with limit
            final var withLimit = NutanixFunctions.getEntityGroupsV2(GetEntityGroupsV2Args.builder()
                .limit(10)
                .build());
    
            // List entity groups with filter and limit
            final var filteredLimit = NutanixFunctions.getEntityGroupsV2(GetEntityGroupsV2Args.builder()
                .filter("name eq 'my-entity-group'")
                .limit(1)
                .build());
    
        }
    }
    
    variables:
      # List all entity groups
      list:
        fn::invoke:
          function: nutanix:getEntityGroupsV2
          arguments: {}
      # List entity groups with filter
      filtered:
        fn::invoke:
          function: nutanix:getEntityGroupsV2
          arguments:
            filter: name eq 'my-entity-group'
      # List entity groups with limit
      withLimit:
        fn::invoke:
          function: nutanix:getEntityGroupsV2
          arguments:
            limit: 10
      # List entity groups with filter and limit
      filteredLimit:
        fn::invoke:
          function: nutanix:getEntityGroupsV2
          arguments:
            filter: name eq 'my-entity-group'
            limit: 1
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getentitygroupsv2" "list" {
    }
    data "nutanix_getentitygroupsv2" "filtered" {
      filter = "name eq 'my-entity-group'"
    }
    data "nutanix_getentitygroupsv2" "withLimit" {
      limit = 10
    }
    data "nutanix_getentitygroupsv2" "filteredLimit" {
      filter = "name eq 'my-entity-group'"
      limit  = 1
    }
    
    # List all entity groups
    # List entity groups with filter
    # List entity groups with limit
    # List entity groups with filter and limit
    

    Using getEntityGroupsV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getEntityGroupsV2(args: GetEntityGroupsV2Args, opts?: InvokeOptions): Promise<GetEntityGroupsV2Result>
    function getEntityGroupsV2Output(args: GetEntityGroupsV2OutputArgs, opts?: InvokeOptions): Output<GetEntityGroupsV2Result>
    def get_entity_groups_v2(filter: Optional[str] = None,
                             limit: Optional[int] = None,
                             order_by: Optional[str] = None,
                             page: Optional[int] = None,
                             select: Optional[str] = None,
                             opts: Optional[InvokeOptions] = None) -> GetEntityGroupsV2Result
    def get_entity_groups_v2_output(filter: pulumi.Input[Optional[str]] = None,
                             limit: pulumi.Input[Optional[int]] = None,
                             order_by: pulumi.Input[Optional[str]] = None,
                             page: pulumi.Input[Optional[int]] = None,
                             select: pulumi.Input[Optional[str]] = None,
                             opts: Optional[InvokeOptions] = None) -> Output[GetEntityGroupsV2Result]
    func GetEntityGroupsV2(ctx *Context, args *GetEntityGroupsV2Args, opts ...InvokeOption) (*GetEntityGroupsV2Result, error)
    func GetEntityGroupsV2Output(ctx *Context, args *GetEntityGroupsV2OutputArgs, opts ...InvokeOption) GetEntityGroupsV2ResultOutput

    > Note: This function is named GetEntityGroupsV2 in the Go SDK.

    public static class GetEntityGroupsV2 
    {
        public static Task<GetEntityGroupsV2Result> InvokeAsync(GetEntityGroupsV2Args args, InvokeOptions? opts = null)
        public static Output<GetEntityGroupsV2Result> Invoke(GetEntityGroupsV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetEntityGroupsV2Result> getEntityGroupsV2(GetEntityGroupsV2Args args, InvokeOptions options)
    public static Output<GetEntityGroupsV2Result> getEntityGroupsV2(GetEntityGroupsV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getEntityGroupsV2:getEntityGroupsV2
      arguments:
        # arguments dictionary
    data "nutanix_getentitygroupsv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression must conform to OData V4.01 URL conventions. The filter can be applied to the following fields:
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String
    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions.

    getEntityGroupsV2 Result

    The following output properties are available:

    EntityGroups List<PiersKarsenbarg.Nutanix.Outputs.GetEntityGroupsV2EntityGroup>
    List of entity groups.
    Id string
    The provider-assigned unique ID for this managed resource.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    EntityGroups []GetEntityGroupsV2EntityGroup
    List of entity groups.
    Id string
    The provider-assigned unique ID for this managed resource.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    entity_groups list(object)
    List of entity groups.
    id string
    The provider-assigned unique ID for this managed resource.
    filter string
    limit number
    order_by string
    page number
    select string
    entityGroups List<GetEntityGroupsV2EntityGroup>
    List of entity groups.
    id String
    The provider-assigned unique ID for this managed resource.
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    entityGroups GetEntityGroupsV2EntityGroup[]
    List of entity groups.
    id string
    The provider-assigned unique ID for this managed resource.
    filter string
    limit number
    orderBy string
    page number
    select string
    entity_groups Sequence[GetEntityGroupsV2EntityGroup]
    List of entity groups.
    id str
    The provider-assigned unique ID for this managed resource.
    filter str
    limit int
    order_by str
    page int
    select str
    entityGroups List<Property Map>
    List of entity groups.
    id String
    The provider-assigned unique ID for this managed resource.
    filter String
    limit Number
    orderBy String
    page Number
    select String

    Supporting Types

    GetEntityGroupsV2EntityGroup

    AllowedConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetEntityGroupsV2EntityGroupAllowedConfig>
    Configuration of the allowed entities in the Entity Group.
    CreationTime string
    The timestamp when the Entity Group was created.
    Description string
    A user defined annotation for an Entity Group.
    ExceptConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetEntityGroupsV2EntityGroupExceptConfig>
    Configuration of except entities in the Entity Group.
    ExtId string
    A globally unique identifier (UUID) of the entity group.
    LastUpdateTime string
    The timestamp when the Entity Group was last updated.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetEntityGroupsV2EntityGroupLink>
    A HATEOAS style link for the response.
    Name string
    A short identifier of the Entity Group.
    OwnerExtId string
    The external identifier of the user who created the Entity Group.
    PolicyExtIds List<string>
    List of policy external identifiers associated with the entity group.
    TenantId string
    A globally unique identifier that represents the tenant that owns this entity.
    AllowedConfigs []GetEntityGroupsV2EntityGroupAllowedConfig
    Configuration of the allowed entities in the Entity Group.
    CreationTime string
    The timestamp when the Entity Group was created.
    Description string
    A user defined annotation for an Entity Group.
    ExceptConfigs []GetEntityGroupsV2EntityGroupExceptConfig
    Configuration of except entities in the Entity Group.
    ExtId string
    A globally unique identifier (UUID) of the entity group.
    LastUpdateTime string
    The timestamp when the Entity Group was last updated.
    Links []GetEntityGroupsV2EntityGroupLink
    A HATEOAS style link for the response.
    Name string
    A short identifier of the Entity Group.
    OwnerExtId string
    The external identifier of the user who created the Entity Group.
    PolicyExtIds []string
    List of policy external identifiers associated with the entity group.
    TenantId string
    A globally unique identifier that represents the tenant that owns this entity.
    allowed_configs list(object)
    Configuration of the allowed entities in the Entity Group.
    creation_time string
    The timestamp when the Entity Group was created.
    description string
    A user defined annotation for an Entity Group.
    except_configs list(object)
    Configuration of except entities in the Entity Group.
    ext_id string
    A globally unique identifier (UUID) of the entity group.
    last_update_time string
    The timestamp when the Entity Group was last updated.
    links list(object)
    A HATEOAS style link for the response.
    name string
    A short identifier of the Entity Group.
    owner_ext_id string
    The external identifier of the user who created the Entity Group.
    policy_ext_ids list(string)
    List of policy external identifiers associated with the entity group.
    tenant_id string
    A globally unique identifier that represents the tenant that owns this entity.
    allowedConfigs List<GetEntityGroupsV2EntityGroupAllowedConfig>
    Configuration of the allowed entities in the Entity Group.
    creationTime String
    The timestamp when the Entity Group was created.
    description String
    A user defined annotation for an Entity Group.
    exceptConfigs List<GetEntityGroupsV2EntityGroupExceptConfig>
    Configuration of except entities in the Entity Group.
    extId String
    A globally unique identifier (UUID) of the entity group.
    lastUpdateTime String
    The timestamp when the Entity Group was last updated.
    links List<GetEntityGroupsV2EntityGroupLink>
    A HATEOAS style link for the response.
    name String
    A short identifier of the Entity Group.
    ownerExtId String
    The external identifier of the user who created the Entity Group.
    policyExtIds List<String>
    List of policy external identifiers associated with the entity group.
    tenantId String
    A globally unique identifier that represents the tenant that owns this entity.
    allowedConfigs GetEntityGroupsV2EntityGroupAllowedConfig[]
    Configuration of the allowed entities in the Entity Group.
    creationTime string
    The timestamp when the Entity Group was created.
    description string
    A user defined annotation for an Entity Group.
    exceptConfigs GetEntityGroupsV2EntityGroupExceptConfig[]
    Configuration of except entities in the Entity Group.
    extId string
    A globally unique identifier (UUID) of the entity group.
    lastUpdateTime string
    The timestamp when the Entity Group was last updated.
    links GetEntityGroupsV2EntityGroupLink[]
    A HATEOAS style link for the response.
    name string
    A short identifier of the Entity Group.
    ownerExtId string
    The external identifier of the user who created the Entity Group.
    policyExtIds string[]
    List of policy external identifiers associated with the entity group.
    tenantId string
    A globally unique identifier that represents the tenant that owns this entity.
    allowed_configs Sequence[GetEntityGroupsV2EntityGroupAllowedConfig]
    Configuration of the allowed entities in the Entity Group.
    creation_time str
    The timestamp when the Entity Group was created.
    description str
    A user defined annotation for an Entity Group.
    except_configs Sequence[GetEntityGroupsV2EntityGroupExceptConfig]
    Configuration of except entities in the Entity Group.
    ext_id str
    A globally unique identifier (UUID) of the entity group.
    last_update_time str
    The timestamp when the Entity Group was last updated.
    links Sequence[GetEntityGroupsV2EntityGroupLink]
    A HATEOAS style link for the response.
    name str
    A short identifier of the Entity Group.
    owner_ext_id str
    The external identifier of the user who created the Entity Group.
    policy_ext_ids Sequence[str]
    List of policy external identifiers associated with the entity group.
    tenant_id str
    A globally unique identifier that represents the tenant that owns this entity.
    allowedConfigs List<Property Map>
    Configuration of the allowed entities in the Entity Group.
    creationTime String
    The timestamp when the Entity Group was created.
    description String
    A user defined annotation for an Entity Group.
    exceptConfigs List<Property Map>
    Configuration of except entities in the Entity Group.
    extId String
    A globally unique identifier (UUID) of the entity group.
    lastUpdateTime String
    The timestamp when the Entity Group was last updated.
    links List<Property Map>
    A HATEOAS style link for the response.
    name String
    A short identifier of the Entity Group.
    ownerExtId String
    The external identifier of the user who created the Entity Group.
    policyExtIds List<String>
    List of policy external identifiers associated with the entity group.
    tenantId String
    A globally unique identifier that represents the tenant that owns this entity.

    GetEntityGroupsV2EntityGroupAllowedConfig

    Entities List<PiersKarsenbarg.Nutanix.Inputs.GetEntityGroupsV2EntityGroupAllowedConfigEntity>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    Entities []GetEntityGroupsV2EntityGroupAllowedConfigEntity
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities list(object)
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities List<GetEntityGroupsV2EntityGroupAllowedConfigEntity>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities GetEntityGroupsV2EntityGroupAllowedConfigEntity[]
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities Sequence[GetEntityGroupsV2EntityGroupAllowedConfigEntity]
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities List<Property Map>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.

    GetEntityGroupsV2EntityGroupAllowedConfigEntity

    GetEntityGroupsV2EntityGroupAllowedConfigEntityAddress

    GetEntityGroupsV2EntityGroupAllowedConfigEntityAddressIpv4Address

    prefix_length number
    value string
    prefixLength Integer
    value String
    prefixLength number
    value string
    prefixLength Number
    value String

    GetEntityGroupsV2EntityGroupAllowedConfigEntityIpRange

    GetEntityGroupsV2EntityGroupAllowedConfigEntityIpRangeIpv4Range

    EndIp string
    StartIp string
    EndIp string
    StartIp string
    end_ip string
    start_ip string
    endIp String
    startIp String
    endIp string
    startIp string
    endIp String
    startIp String

    GetEntityGroupsV2EntityGroupExceptConfig

    Entities List<PiersKarsenbarg.Nutanix.Inputs.GetEntityGroupsV2EntityGroupExceptConfigEntity>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    Entities []GetEntityGroupsV2EntityGroupExceptConfigEntity
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities list(object)
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities List<GetEntityGroupsV2EntityGroupExceptConfigEntity>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities GetEntityGroupsV2EntityGroupExceptConfigEntity[]
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities Sequence[GetEntityGroupsV2EntityGroupExceptConfigEntity]
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.
    entities List<Property Map>
    List of except entities. Each entity may contain addresses, ipRanges, referenceExtIds.

    GetEntityGroupsV2EntityGroupExceptConfigEntity

    GetEntityGroupsV2EntityGroupExceptConfigEntityAddress

    GetEntityGroupsV2EntityGroupExceptConfigEntityAddressIpv4Address

    prefix_length number
    value string
    prefixLength Integer
    value String
    prefixLength number
    value string
    prefixLength Number
    value String

    GetEntityGroupsV2EntityGroupExceptConfigEntityIpRange

    GetEntityGroupsV2EntityGroupExceptConfigEntityIpRangeIpv4Range

    EndIp string
    StartIp string
    EndIp string
    StartIp string
    end_ip string
    start_ip string
    endIp String
    startIp String
    endIp string
    startIp string
    endIp String
    startIp String
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    Package Details

    Repository
    nutanix pierskarsenbarg/pulumi-nutanix
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the nutanix Terraform Provider.
    nutanix logo
    Viewing docs for Nutanix v0.16.0
    published on Tuesday, May 26, 2026 by Piers Karsenbarg

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial